Bug 1916279 - [OCPonRHV] Sometimes terraform installation fails on -failed to fetch Cluster(another terraform bug)
Summary: [OCPonRHV] Sometimes terraform installation fails on -failed to fetch Cluster...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 4.7
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
: 4.11.0
Assignee: Janos Bonic
QA Contact: Michael Burman
URL:
Whiteboard:
Depends On: 2082283
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-01-14 13:19 UTC by michal
Modified: 2022-08-10 10:36 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-08-10 10:35:38 UTC
Target Upstream Version:


Attachments (Terms of Use)
logs (29.66 KB, text/plain)
2021-01-14 13:19 UTC, michal
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github openshift installer pull 5867 0 None Merged Bug 2082283: Transition to the oVirt Terraform provider v2 2022-07-21 18:11:50 UTC
Red Hat Product Errata RHSA-2022:5069 0 None None None 2022-08-10 10:36:00 UTC

Internal Links: 2082283

Description michal 2021-01-14 13:19:09 UTC
Created attachment 1747399 [details]
logs

Version:

$ openshift-install version
./openshift-install 4.6.0-0.nightly-2021-01-10-033123


Platform:
rhv

* IPI insalltion(automated install with `openshift-install`. If you don't know, then it's IPI)

steps:
1) install openshift 4.6 on rhv 4.4.4
2) look on RHV ui
3) worker vms don't created, only master vms

results:
sometimes installation fails on -failed to fetch Cluster:
 
failed to generate asset "Cluster": failed to create cluster: failed to apply Terraform: failed to complete the change 

logs attatched

DEBUG module.bootstrap.ovirt_vm.bootstrap: Still creating... [10m10s elapsed] 
DEBUG module.bootstrap.ovirt_vm.bootstrap: Still creating... [10m20s elapsed] 
DEBUG module.bootstrap.ovirt_vm.bootstrap: Still creating... [10m30s elapsed] 
ERROR                                              
ERROR Error: timeout while waiting for state to become 'up' (last state: 'down', timeout: 10m0s) 
ERROR                                              
ERROR   on ../../tmp/openshift-install-304809109/bootstrap/main.tf line 1, in resource "ovirt_vm" "bootstrap": 
ERROR    1: resource "ovirt_vm" "bootstrap" {      
ERROR                                              
ERROR                                              
FATAL failed to fetch Cluster: failed to generate asset "Cluster": failed to create cluster: failed to apply Terraform: failed to complete the change 
[root@ocp-qe-1 primary]# ./openshift-install version
./openshift-install 4.6.0-0.nightly-2021-01-10-033123
built from commit eded5eb5b6c77e2af2a2c537093da8bf3711f494
release image registry.ci.openshift.org/ocp/release@sha256:e6a7ccac40e07f883f7a5caa8af5b2da8ab33e197cddc86e614f7a3e280401ac

Comment 1 Gal Zaidman 2021-01-17 09:20:49 UTC
We will need to get the engine and VDSM (of the HOST that ran this VM) logs to better understand the issue.
Because I know the env that this was deployment used I feel comfortable with saying that this is most likely an env problem.
Also, we rarely see it on CI.

Setting to "low" since it should affect only our envs

Comment 3 Gal Zaidman 2021-01-27 12:57:16 UTC
Pushing to next sprint

Comment 4 Gal Zaidman 2021-03-30 13:41:56 UTC
due to capacity constraints, we will be revisiting this bug in the upcoming sprint

Comment 5 Janos Bonic 2021-07-01 11:12:07 UTC
This should automatically disappear when we switch to the new client library.

Comment 8 Janos Bonic 2022-06-21 07:08:51 UTC
Fixed in 2082283

Comment 9 Michael Burman 2022-06-21 08:30:12 UTC
(In reply to Janos Bonic from comment #8)
> Fixed in 2082283

Fixed in bz 2082283

Comment 10 Michael Burman 2022-06-23 12:38:25 UTC
The issue is gone.
Such terraform errors no longer visible in the installer.

Verified on - 4.11.0-0.nightly-2022-06-22-235234 and rhvm-4.5.1.2-0.11.el8ev.noarch

Comment 12 errata-xmlrpc 2022-08-10 10:35:38 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Important: OpenShift Container Platform 4.11.0 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2022:5069


Note You need to log in before you can comment on or make changes to this bug.